﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data;
using Infragistics.Windows.DataPresenter;

namespace sampleForPradnya
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();

            xamDataGrid1.DataSource = CreateData().DefaultView;

            xamDataGrid1.FieldLayoutInitialized += new EventHandler<Infragistics.Windows.DataPresenter.Events.FieldLayoutInitializedEventArgs>(xamDataGrid1_FieldLayoutInitialized);
        }

        void xamDataGrid1_FieldLayoutInitialized(object sender, Infragistics.Windows.DataPresenter.Events.FieldLayoutInitializedEventArgs e)
        {
            UnboundField ub = new UnboundField();
            ub.Name = "imageField";
            ub.Label = "";
            ub.Settings.CellValuePresenterStyle = MainWindow.Resources["style"] as Style;
            e.FieldLayout.Fields.Insert(0, ub);
        }

        public DataTable CreateData()
        {
            DataTable dt = new DataTable();
            dt.Columns.Add(new DataColumn("Status", typeof(string)));
            dt.Columns.Add(new DataColumn("Description", typeof(string)));

            DataRow dr = dt.NewRow();
            dr[0] = "Open";
            dr[1] = "Open Status";
            dt.Rows.Add(dr);

            dr = dt.NewRow();
            dr[0] = "Closed";
            dr[1] = "Closed Status";
            dt.Rows.Add(dr);

            dr = dt.NewRow();
            dr[0] = "Blocked";
            dr[1] = "Blocked Status";
            dt.Rows.Add(dr);

            dr = dt.NewRow();
            dr[0] = "Open";
            dr[1] = "Open Status";
            dt.Rows.Add(dr);

            dr = dt.NewRow();
            dr[0] = "Closed";
            dr[1] = "Closed Status";
            dt.Rows.Add(dr);

            dr = dt.NewRow();
            dr[0] = "Blocked";
            dr[1] = "Blocked Status";
            dt.Rows.Add(dr);

            dr = dt.NewRow();
            dr[0] = "Open";
            dr[1] = "Open Status";
            dt.Rows.Add(dr);

            dr = dt.NewRow();
            dr[0] = "Closed";
            dr[1] = "Closed Status";
            dt.Rows.Add(dr);

            dr = dt.NewRow();
            dr[0] = "Blocked";
            dr[1] = "Blocked Status";
            dt.Rows.Add(dr);

            return dt;
        }
    }
}
